=== debian/changelog ===
piuparts (0.62~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * Remove python-mox3 from build-depends and disable the tests during build. 

 -- Holger Levsen <holger@debian.org>  Fri, 09 Jan 2015 12:15:22 +0100

piuparts (0.62) unstable; urgency=medium

  * Default to http://http.debian.net/debian instead of the deprecated
    http://cdn.debian.net service as default mirror. (Closes: #774471)

 -- Holger Levsen <holger@debian.org>  Tue, 06 Jan 2015 10:36:39 +0100

piuparts (0.61) unstable; urgency=medium

  [ Michael Prokop ]
  * Support new scripts directive 'post_chroot_unpack', useful for adding
    apt-keys for custom apt repositories. (Closes: #767485)
  * Add custom-scripts/scripts-unused-examples/post_chroot_unpack_key_setup.

  [ Holger Levsen ]
  * piuparts.py: Add "/var/cache/apt/archives/partial/" to ignored_files.
    (Closes: #767489)
  * piuparts.py and piuparts-report: Detect four more (in)adequate issues:
    - broken-binfmt-detector
    - broken-binfmt-interpreter
    - missing-alternative
    - program-name-collision
    (Closes: #767499)
  * distros.conf: Remove unneeded URI for squeeze-lts, it just uses the
    default repository.
  * instances/pejacevic+slaves: Do not reschedule passed squeeze logs anymore.

  [ Andreas Beckmann ]
  * piuparts.py:
    - Add to ignored_files:
      + /etc/modules-load.d/modules.conf  (dangling symlink to ../modules)
    - Place an up-to-date copy of the host's /etc/resolv.conf (with comments
      stripped and whitespace normalized) in the chroot.
  * piuparts.conf:
    - Add flags-start-jessie, flags-end-jessie global variables.
    - Use --scriptsdir .../scripts-jessie for tests ending in jessie.
    - Enable --warn-on-debsums-errors for wheezy2jessie upgrades.
  * piuparts.conf.anbe: Add many more example sections.
  * distros.conf:
    - Add *updates, *backports, *proposed for jessie.
    - Switch 'testing' alias to 'stretch', but deactivate it for stable.
    - Add 'stable' alias pointing to 'jessie', deactivated as well.
  * piupartslib/dwke.py:
    - Fix parsing of known_problems/*.conf that have EXCLUDE_PATTERN.
  * piuparts-slave.py:
    - Avoid a busy loop by suspending a section for 5 minutes if basetgz
      creation is in progress or failed.
  * Add "AddDefaultCharset utf-8" to the apache2 configuration snipplet
    example, so that logfiles are displayed as UTF-8.
  * master-bin/detect_piuparts_issues: Another partial write error from tar.
  * pre_install_foreign_architecture: New script to enable foreign
    architectures for testing cross toolchain packages.
  * pre_remove_40_find_unowned_lib_links, unowned_lib_symlink_*.conf: New
    script and reports for unowned symlinks in [/usr]/lib[/<triplet>].
  * post_distupgrade_exceptions: Handle libdb5.1 removal in jessie.
  * scripts-jessie/post_setup_jessie-fake-essential: New custom script.
    - Make ucf fake-essential. (ucf may be used unconditionally during purge.)
    - Make init-system-helpers fake-essential. (Systemd service link cleanup.)
  * Rework the file-rc/sysvinit/upstart/systemd specific exceptions.
  * Remove debugging output for resolvconf.
  * Update custom scripts handling databases, experimental, ... and some more.
  * Update bug templates.

 -- Holger Levsen <holger@debian.org>  Wed, 03 Dec 2014 19:55:26 +0100

piuparts (0.60) unstable; urgency=medium

  [ Leo Iannacone ]
  * piuparts.py: when using the --existing-chroot option, instead of copying
    files, use hard links if the original chroot and destination directory
    are on the same device. (Closes: #754878)

  [ Iain Lane ]
  * Use python-distro-info to get the Debian and Ubuntu devel releases.
  * tests: Remove the Ubuntu devel release test.

  [ Holger Levsen ]
  * Update README_server.txt and README_pejacevic.txt after setting up a
    piuparts master/slave system from packages myself.
  * Drop conf/piuparts-master.sudoers from debian/piuparts-master.examples
    and include all commands piupartss needs to run as root in
    conf/piuparts-slave.sudoers.
  * Update instances/piuparts.conf* to match what is in use for
    piuparts.debian.org today. Add two new systems, goldwasser and lamarr, as
    examples taken from piuparts development.
  * Add "AddType text/plain .log" to the apache2 configuration snipplet
    example, so that logfiles are displayed in the browser.
  * Bump standards version to 3.9.6, no changes needed.
  * Replace all occurrences of old gitweb Alioth URLs with cgit ones.

 -- Holger Levsen <holger@debian.org>  Sun, 26 Oct 2014 20:07:24 +0100
