## piuparts 0.62

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,8 @@
  python-distro-info,
  python-nose,
  python-debianbts,
- python-yaml
+ python-yaml,
+ python-mox3
 Build-Depends-Indep:
  asciidoc,
  git,
