## piuparts 0.62+deb8u1

=== debian/changelog ===
piuparts (0.62+deb8u1) stable; urgency=medium

  [ Stefano Rivera ]
  * Don't test the current Debian release status, tracking that is
    distro-info-data's problem. (Closes: #827411)

 -- Holger Levsen <holger@debian.org>  Fri, 02 Sep 2016 20:23:20 +0200
