## piuparts 0.64ubuntu1

=== Makefile ===
--- 
+++ 
@@ -146,7 +146,7 @@
 
 
 check:
-	# nosetests --verbose
+	nosetests --verbose
 
 clean:
 	rm -f build-stamp
