=== debian/changelog ===
piuparts (0.64ubuntu1) wily; urgency=medium

  * Fix devpts mounting to use the correct gid=5,mode=620 mount options.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 05 Oct 2015 15:50:34 -0600

piuparts (0.64) unstable; urgency=medium

  [ Holger Levsen ]
  * Add FancyIndexing to piuparts-master.conf and enable apache syntax
    highlighting in vim. (Thanks DSA!)
  * Use httpredir.debian.org instead of http.debian.net. (Closes: #783617)
  * Add support for adequate tag missing-pkgconfig-dependency.
    (Closes: #783528)
  * Use revdate: in the asciidoc headers of manpages instead of DATE in the
    body to achieve reproducible builds and set the revdate: to the last
    modification date of each manpage.

  [ Andreas Beckmann ]
  * piuparts.py:
    - Use 'dpkg-query -W' instead of 'dpkg --get-selections' to record
      architecture and version information for installed packages, too.
    - Restore the selections to the package versions from the reference chroot
      in scenarios like sid+experimental where more than one version could be
      available. Use --force-yes since this may involve downgrades.
  * piuparts.conf:
    - New global setting: basetgz-sections, used by piuparts-slave only.
    - Switch to separate tarball sections.
  * piuparts-slave.py:
    - Add support for special sections that only create/refresh reference
      basetgz tarballs without testing packages. The basetgz can be shared
      between multiple sections without being affected by their flags.

 -- Holger Levsen <holger@debian.org>  Fri, 12 Jun 2015 13:42:52 +0200

piuparts (0.63) unstable; urgency=medium

  [ Andreas Beckmann ]
  * piuparts.py:
    - Add to ignored_files:
      + /etc/clamav/
      + /etc/lighttpd/
      + /etc/lighttpd/conf-available/
    - Increase verbosity when reporting things installed over directory
      symlinks: report all symlinks and their targets.
    - Reinstall base system packages missing upon removal with
      --no-install-recommends.
    - Mount /dev/pts into the chroot. Wanted by recent apt.
    - Fix usage of schroot with chroot names without ':'.  (Closes: #773874)
    - Resolve distro aliases before setting PIUPARTS_DISTRIBUTION.
    - Fix running debootstrap if --do-not-verify-signatures is given.
      (Closes: #781673)
  * piuparts.conf:
    - Enable --warn-on-debsums-errors for all jessie tests.
    - Add new suite: jessie-pu (test only packages in jessie-proposed-updates).
    - Add new suite: jessie-rcmd (test with --install-recommends).
    - Add new suite: wheezy2jessie-rcmd (test with --install-recommends).
    - Add new suite: stretch.
    - Add new suite: jessie2stretch.
  * piuparts.conf.anbe: Add many more example sections.
  * distros.conf: Reactivate 'testing' and 'stable' aliases.
  * piupartslib/packagesdb.py:
    - Consider logfile age in addition to the time waiting for recycling.
  * piuparts-slave.py:
    - Handle Ctrl-C while downloading Packages files and flush/unreserve, too.
    - Catch another exception that may happen while talking to the master.
  * detect_archive_issues: Move archive_issues.txt from htdocs/ to master/.
  * detect_piuparts_issues: Detect transient apt-cache failures.
  * generate_daily_report: Remove obsolete .html files (e.g. summaries for
    removed source packages or obsolete maintainer addresses) after 30 days.
  * reschedule_oldest_logs:
    - Fix gradual oldest-first recycling if nearly all logs are candidates.
    - Recycle/expire pass/ logs only if the section is (recycle-)idle.
  * scripts-apt-first/pre_distupgrade_zz_apt_first: New custom script for
    upgrading apt first and having the new apt perform the remaining upgrade.
  * scripts-sysvinit/pre_distupgrade_zz_sysvinit: New custom script for doing
    wheezy->jessie upgrade tests while keeping sysvinit as init if possible.
  * scripts/pre_remove_40_find_unowned_lib_links: Ignore /lib/ld-lsb.so.[123]
    links created by lsb-core.
  * scripts-no-usr-share-doc: Add exception for localepurge.
  * post_distupgrade_base_cleanup: New custom script for generalized libdbX.Y
    exceptions.
  * Update exceptions for squeeze-lts.
  * Add/update exceptions for many packages.
  * Add/update some bug templates.
  * known_problems/{initdscript_lsb_header_issue,insserv_error}.conf:
    Report "service.*already provided", too.

  [ Holger Levsen ]
  * piuparts.conf.pejacevic: add new suite: jessie2proposed.
  * piuparts.conf.piu-slave-1und1-01: merge changes from pejacevic config but
    replace amd64 with i386.
  * crontab-master.in: update webpages every six hours.
  * piuparts-reports.py:
    - Link to the new "Debian Package Tracker" (tracker.debian.org) instead to
      the old "Package Tracker System" (PTS).
    - Switch links to lintian.debian.org to https.
  * crontab-slave.in: try to start slave every hour to make sure it's always
    running.
  * Use "autopep8 --max-line-length=160" to re-format all .py files, then also
    use "-a" on a 2nd run.
  * test_config.py: update for Jessie being stable and Stretch being the new
    testing suite.
  * debian/copyright: Remove space from W3C FreeUse licence name, thanks
    lintian.
  * Update piuparts.py, piuparts.1.txt and README_server.txt due to the fact
    that jessie is the new stable and testing is stretch now.

 -- Holger Levsen <holger@debian.org>  Mon, 27 Apr 2015 16:46:29 +0200
