## piuparts 0.72

=== debian/changelog ===
piuparts (0.72) unstable; urgency=medium

  [ Holger Levsen ]
  * instances/piuparts.conf.pejacevic: test jessie2bpo and jessie2bpo2stretch.
  * piuparts.py:
    - Fix devpts mounting to use the correct gid=5,mode=620 mount options.
      Patch taken from Adam Conrad. (Closes: #829146)
    - explain (as a code comment) why /root/.rnd shouldn't be ignored.
      (Closes: #750099)
    - Add /var/log/apt/eipp.log.xz to ignored files. (Closes: #830527)
  * custom-scripts/scripts/pre_remove_exceptions: force removal of usrmerge
    package. (Closes: #798374)

  [ Stefano Rivera ]
  * Don't test the current Debian release status, tracking that is
    distro-info-data's problem. (Closes: #827411)

 -- Holger Levsen <holger@debian.org>  Wed, 03 Aug 2016 11:24:56 +0200

piuparts (0.71) unstable; urgency=medium

  [ Andreas Beckmann ]
  * piuparts.py:
    - Define namedtuple FileInfo globally s.t. it can be pickled.
    - New option --no-check-valid-until to set apt option
      Acquire::Check-Valid-Until=false for testing archived releases.
    - Clear all locale settings from the environment before running commands
      in the chroot.
  * piuparts.conf:
    - Use --no-check-valid-until for squeeze.
    - New section [wheezy-security] (also used by wheezy LTS).
    - New section [jessie-security].
  * distros.conf: squeeze-* has been archived/removed.
  * piuparts-analyze.py:
    - Skip logfile on HTTPError while querying the BTS.
  * piuparts-reports.py:
    - Skip section on HTTPError while downloading Packages.
  * post_setup_forbid_home: Adjust for basefiles now shipping /home/
  * Add/adjust some exceptions.

  [ Holger Levsen ]
  * Bump standards version to 3.9.8, no changes needed.

 -- Holger Levsen <holger@debian.org>  Thu, 05 May 2016 14:03:30 +0200

piuparts (0.70) unstable; urgency=medium

  [ Andreas Beckmann ]
  * piuparts.py:
    - Add to ignored_files:
      + /etc/sysctl.d/99-sysctl.conf (dangling symlink to ../sysctl.conf)
      + /var/log/btmp
    - Canonicalize mountpoint inside the chroot to avoid mounting over
      symlinks and possibly outside the chroot.
    - --install-remove-install runs 'apt-get install --reinstall $pkg', too.
  * post_distupgrade_base_cleanup: Remove libprocps3 in stretch.
  * pre_remove_40_find_unowned_lib_links: Handle another mpi alternative.
  * Add bug template for maintainer scripts incorrectly complaining about
    being called with unknown arguments.

  [ Holger Levsen ]
  * conf/distros.conf and instances/piuparts.conf.pejacevic: move squeeze to
    archive.debian.org, stop testing squeeze only suites - but keep testing
    upgrades to wheezy suites.
  * Fix typo in piuparts_slave_join.8.txt, thanks lintian.

 -- Holger Levsen <holger@debian.org>  Tue, 08 Mar 2016 13:00:22 +0100

piuparts (0.69) unstable; urgency=medium

  * piuparts.py: add to ignored_files:
    - /var/lib/pkcs11proxyd/ (Closes: #810703)
  * piuparts.1.txt: Fix typos, thanks to Дилян Палаузов and lintian.
  * debian/control:
    - Bump standards version to 3.9.7, no changes needed.
    - Use more secure https URL for Vcs-Git: header, thanks lintian.
    - Use /git/ not /cgit/ in Vcs-* headers.
  * debian/copyright: bump years for my contributions to 2016.

 -- Holger Levsen <holger@debian.org>  Sat, 13 Feb 2016 12:46:10 +0100

piuparts (0.68) unstable; urgency=medium

  * Dedicated to the memory of Ian Murdock.
    Thank you very much for starting and shaping Debian, Ian! The world would
    be very different today without your work and you will never be forgotten.

  [ Andreas Beckmann ]
  * piuparts.py:
    - Simplify mounting/unmounting into the chroot.
    - Mount a 64 MB tmpfs onto /dev/shm in the chroot.  (Closes: #793487)

  [ Sven Haardiek ]
  * Add option "--single-packages" to test every package specified via path or
    package name individually. (Closes: #810237)

  [ Michael Prokop ]
  * piuparts.py:
    - Execute dist-upgrade also when using --existing-chroot option.
      (Closes: #798266)

 -- Holger Levsen <holger@debian.org>  Tue, 02 Feb 2016 10:33:40 +0100

piuparts (0.67) unstable; urgency=medium

  [ Holger Levsen ]
  * Add wheezy-pu to the suites being tested. (Closes: #800094)

  [ Andreas Beckmann ]
  * piuparts.py:
    - Ensure /etc/mtab exists in the chroot.
    - Record and compare file owner and group names instead of uid/gid.
  * Add support for adequate tag ldd-failure. (Closes: #793108)
  * scripts/post_distupgrade_exceptions:
    - Fix the /etc/nsswitch.conf wheezy -> jessie upgrade handling.
  * Update custom scripts handling databases.
  * Add bug template for wheezy -> jessie -> stretch upgrades.

 -- Holger Levsen <holger@debian.org>  Sat, 17 Oct 2015 16:32:06 +0200

piuparts (0.66) unstable; urgency=medium

  * Add python-lzma to build-depends, as the tests need it now.

 -- Holger Levsen <holger@debian.org>  Wed, 26 Aug 2015 00:59:42 +0200

piuparts (0.65) unstable; urgency=medium

  [ Andreas Beckmann ]
  * piuparts.py:
    - Create sources.list entries for --testdebs-repo with '[ trusted=yes ]'
      to avoid needing --do-not-verify-signatures which would act globally.
    - Add --fake-essential-packages option to include packages in the base
      chroot that are not removed after the test. These are available during
      purge and for checking against mistreatment.
    - Increase permitted command output volume from 3 MB to 4 MB (for daptup).
    - Only ignore 'dpkg -i' failures that can be fixed by 'apt-get -f
      install'.  (Closes: #794628)
    - Set Architecture of piuparts-depends-dummy to match the package to be
      tested.
  * piuparts.conf.anbe: Add some more example sections.
  * piupartslib/packagesdb.py:
    - Put package in 'dependency-does-not-exist' state if a pass/ log exists
      but a dependency has been removed from the archive since then.
    - Prepare improvements for handling foreign arch dependencies.
  * piupartslib/open_packages_url(): Support xz-compressed and uncompressed
    Packages files.

