## piuparts 0.73

=== debian/changelog ===
piuparts (0.73) unstable; urgency=medium

  * Add new option, --hard-link, and do *not* use it by default.
    (Closes: #841025)

 -- Holger Levsen <holger@debian.org>  Tue, 06 Dec 2016 18:14:19 +0100
