=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: piuparts
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: piuparts developers team <piuparts-devel@lists.alioth.debian.org>
+Maintainer: piuparts developers team <piuparts-devel@lists.alioth.debian.org>
 Uploaders:
  Holger Levsen <holger@debian.org>
 Section: devel
 Priority: extra
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends:
  debhelper (>= 9.20120909~),
  python (>= 2.7),
@@ -15,14 +14,15 @@
  python-nose,
  python-debianbts,
  python-yaml,
- python-mox3
+ python-mox3,
+ python-lzma
 Build-Depends-Indep:
  asciidoc,
  git,
  xmlto
 Homepage: https://piuparts.debian.org
-Vcs-Git: git://anonscm.debian.org/piuparts/piuparts.git
-Vcs-Browser: https://anonscm.debian.org/cgit/piuparts/piuparts.git
+Vcs-Git: https://anonscm.debian.org/git/piuparts/piuparts.git
+Vcs-Browser: https://anonscm.debian.org/git/piuparts/piuparts.git
 X-Python-Version: >= 2.7
 
 Package: piuparts
@@ -84,7 +84,7 @@
  as it is done on https://piuparts.debian.org/.
  .
  This package provides the piuparts-master, which needs one or more slaves to
- operate. It also contains piuparts-reports to generate web pages with the
+ operate. It also contains piuparts-report to generate web pages with the
  testing results as well as documentation.
 
 Package: piuparts-slave
@@ -118,6 +118,7 @@
 Depends:
  python-apt,
  python-distro-info,
+ python-lzma,
  ${misc:Depends},
  ${python:Depends}
 Breaks:
@@ -125,7 +126,7 @@
 Replaces:
  piuparts (<= 0.44)
 Description: common piuparts components
- piupartslib, common library used by piuparts-master, -reports, -analyze and
+ piupartslib, common library used by piuparts-master, -report, -analyze and
  -slave.
  .
  See https://piuparts.debian.org or the piuparts package to learn more about
