=== debian/changelog ===
piuparts (0.75) unstable; urgency=medium

  [ Andreas Beckmann ]
  * piuparts.py:
    - Add to ignored_files:
      + /etc/network/
      + /etc/php/7.0/ and selected subdirs
      + /var/lib/apache2/
    - Run panic handlers in reverse order.
    - Add --shell-on-error option to simplify debugging of piuparts failures.
      Starts an interactive shell in the chroot if an error occurred.
    - Unmount /proc/sys/fs/binfmt_misc only if mounted.
    - Query the apt version in the chroot.  (Closes: #851517)
    - Use apt_pkg.version_compare().
  * piuparts.conf:
    - Add new suite: stretch-rcmd (test with --install-recommends).
    - Add new suite: jessie2stretch-rcmd (test with --install-recommends).
    - Add new suite: stretch-security.
    - Add new suite: stretch-pu (test packages in stretch-proposed-updates).
    - Add new suite: stretch2proposed.
    - Reduce delay before rescheduling untestable packages.
  * piuparts-analyze.py:
    - Adjust debianbts syntax to be compatible with both jessie and stretch.
    - Improve exception handling.
  * Handle more database setup issues.
  * Add/adjust some exceptions for ancient packages.
  * scripts/pre_install_extras: Add examples how to preseed license acceptance
    for non-free and downloader packages.
  * scripts/pre_distupgrade_zz_database-server: Run pg_upgradecluster during
    dist-upgrades.
  * scripts/post_distupgrade_hack_debsums: Limit to squeeze->wheezy and merge
    into scripts/post_distupgrade_exceptions.
  * scripts/{pre,post}_remove_exceptions: Support removal of essential
    packages with apt-get from stretch onwards.
  * known_problems/piuparts-depends-dummy_error.conf: Recognize the failure
    from 'apt-get install piuparts-depends-dummy.deb'.
  * known_problems/problems_and_no_force_error.conf: Recognize the apt 1.1
    message on attempted removal of essential packages.
  * master-bin/detect_piuparts_issues: Recognize more cases of full disks.

 -- Holger Levsen <holger@debian.org>  Wed, 25 Jan 2017 13:19:30 +0100

piuparts (0.74) unstable; urgency=medium

  [ Andreas Beckmann ]
  * piuparts.py:
    - Add to ignored_files:
      + /etc/modprobe.d/
    - Add new class of is_testable_* custom scripts: A non-zero return value
      makes the test succeed without actually installing the package. Use for
      packages that cannot be tested with piuparts by design or are broken in
      an unfixable way.  (Closes: #682739)
    - Ensure /etc/resolv.conf in the chroot has permissions 0644 to match a
      possible recreation of that file by resolvconf.  (Closes: #660350)
    - Increase output limit to 8 MB.  (Closes: #794331)
    - Increase single command time limit to 60 minutes.
  * piuparts.conf:
    - New section [sid-strict], testing with --install-remove-install and
      failing on leftover files.  (Closes: #604406)
    - Only warn on leftover files for [sid] and use the same settings for
      both [sid] and [stretch], since these are now used by britney to block
      testing migration in case of regressions.
  * piuparts.conf.anbe: Add some more example sections.
  * piuparts-slave.py:
    - Increase test timeout to 90 minutes.
  * piuparts-analyze.py:
    - Also consider bugs filed against source packages.
  * piuparts-reports.py:
    - Mark arch:all packages with an :all suffix in package lists.
    - Report skipped tests.
  * Makefile: Add check-whitespace target looking for trailing whitespace etc.
  * scripts/pre_install_database-server: Use default-mysql-* from stretch
    onwards.
  * scripts/post-{install,purge}-exceptions: Wait for dkms progress indicator
    to terminate.
  * scripts/post_distupgrade_exceptions: Work around some jessie->stretch
    issues.
  * scripts/is_testable_uninstallable: New custom script to exclude some
    uninstallable (or similarly broken) packages from being tested.
  * scripts/post_setup_minimize: New custom script to minimize chroots.
    - Remove tzdata and lsb-base from sid and stretch.
  * scripts/post_setup_dummy_users: New custom script to create dummy groups
    and users that block ids that are likely being used by the host system.
  * scripts/post_{setup,distupgrade}_experimental: Removed, obsolete since
    restoring the initial package selection supports downgrades (0.64).
  * custom-scripts/scripts-debug-{remove,purge}/: Improved debugging of
    maintainer scripts during package removal.
  * Overhaul some more custom scripts.
  * known_problems/debsums_mismatch_*.conf: Report missing symlinks and
    directories.
  * known_problems/needs_rebuild_issue.conf: Report "called
    emacs-package-install as a new-style add-on, but has no compat file"
  * known_problems/test_was_skipped_issue.conf: New known problem for skipped
    tests.
  * master-bin/detect_network_issues: Detect "E: The repository '.*' does no
    longer have a Release file."
  * master-bin/detect_piuparts_issues: Detect 'invoke-rc.d: initscript mysql,
    action "restart" failed.'
  * master-bin/reschedule_piuparts_tests: New experimental helper script for
    rescheduling piuparts tests based on detected known problems.

  [ Holger Levsen ]
  * Apply patch by Antonio Ospite to workaround #847788 by force-unmounting
    /proc/sys/fs/binfmt_misc - some java packages trigger update-binfmts,
    which mounts /proc/sys/fs/binfmt_misc but never unmounts it.
    (Closes: #704037) - Thanks Antonio!
  * Add build-depends to dh-python, thanks lintian.
  * Bump copyright years.

  [ Sean Whitton ]
  * piuparts.py: use `apt-get install ./foo.deb` instead of `dpkg -i
    ./foo.deb && apt-get install -yf` for more reliable dependency
    resolution. (Closes: #825487)

 -- Holger Levsen <holger@debian.org>  Sun, 15 Jan 2017 11:59:00 +0100
