## piuparts 0.77~bpo8+1

=== debian/changelog ===
piuparts (0.77~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Holger Levsen <holger@debian.org>  Thu, 22 Jun 2017 14:26:18 +0200

piuparts (0.77) unstable; urgency=medium

  [ Andreas Beckmann ]
  * distros.conf:
    - Add aliases for oldstable and oldoldstable.
    - Update aliases for stretch being released as stable.
  * piuparts.py:
    - Add to ignored_files:
      + /etc/rc.local
      + /etc/X11/Xwrapper.config  (Closes: #859929)
      + /var/lib/apt/daily_lock
  * piuparts-analyze.py:
    - Do not ignore Ctrl-C.
  * scripts/post_distupgrade_base_cleanup: Remove (transitional) sysvinit from
    stretch.  (Closes: #860819)
  * scripts/pre_distupgrade_zz_database-server: Do not migrate manually from
    mysql-server to default-mysql-server (aka mariadb-server), there is now a
    transitional mysql-server package in stretch.

  [ Holger Levsen ]
  * piuparts-report.py:
    - update navigation to point to piuparts.conf-template.pejacevic.

 -- Holger Levsen <holger@debian.org>  Sat, 03 Jun 2017 23:08:19 +0200

piuparts (0.76) unstable; urgency=medium

  [ Andreas Beckmann ]
  * piuparts.py:
    - Add to ignored_files:
      + /usr/share/texmf/ls-R
    - Remove from ignored_files:
      - /usr/share/keyrings/debian-archive-removed-keys.gpg~
    - Do not require --scriptsdir for proper operation.  (Closes: #855038)
    - Make install_over_symlink tests fail by default, add
      --warn-on-install-over-symlink option to demote this to a warning.
    - Add --install-suggests option.
    - Fall back to generating the reference chroot state on-the-fly if the
      --end-meta file is missing.
    - Make logged command lines shell-safe with pipes.quote().
  * piuparts.conf:
    - Use --warn-on-install-over-symlink for tests ending before stretch.
    - Enable scripts-log-alternatives for [sid] and [stretch].  (See: #850917)
    - Add new suite: wheezy222testing, upgrading wheezy -> jessie -> stretch.
  * piuparts.conf.anbe: Add some more example sections.
  * distros.conf: Add support for sid-debug, stretch-debug.
  * piuparts-slave.py:
    - Replace literal ESC (0x1b) chars with string '[ESC]' for easier
      copy+paste from logfiles.
    - Make logged command lines shell-safe with pipes.quote().
  * piuparts-analyze.py:
    - Also process untestable/*.log.
  * instances/*: Generate the config files piuparts.conf.pejacevic,
    piuparts.conf.piu-slave-bm-a, piuparts.conf.piu-slave-ubc-01 (new) and
    piuparts.conf.piu-slave-1und1-01 (unused) from a common template to keep
    the settings in sync, since they should only differ in mirror and arch.
  * Clean up leftover /etc/piuparts/scripts/post_setup_experimental.
    (Closes: #854317)
  * scripts/post_setup_minimize:
    - Exclude gcc-4.8-base from jessie chroot.
  * scripts/pre_install_database-server: Add/fix some database requirements.
  * scripts/pre_distupgrade_zz_database-server: Switch from mysql-server to
    default-mysql-server (aka mariadb-server) for selected packages on
    upgrades to stretch, otherwise they will lose their database server.
    Try 'dpkg --configure --pending' after failed upgrades in case the
    database server was started too late - after a client tried to access it.
  * scripts/pre_remove_40_find_missing_md5sums: Correctly escape backslashes
    in filenames.
  * scripts/pre_remove_exceptions: Handle removal of more packages pulling in
    'init'.
  * Add/update exceptions for ancient packages in
    scripts/is_testable_uninstallable, scripts/pre_install_exceptions, and
    scripts/post_distupgrade_exceptions.
  * master-bin/detect_piuparts_issues: Recognize more cases of full disks.
  * master-bin/detect_network_issues: Recognize unauthenticated packages.
  * Add known_problems/problems_and_no_force_issue.conf to recognize non-fatal
    failures when attempting to remove essential packages.
  * Add bug template for failing to upgrade from testing to sid.
  * Add bug template for shipping broken symlinks.

  [ Holger Levsen ]
  * piuparts.py:
    - Apply patch from Maxime Lareo to allow usage of --keep-sources-list
      without --basetgz. (Closes: #841157)
    - Add to ignored_patterns:
      + /srv/.* (Closes: #848186)
    - Add my copyright note according to git blame.
  * Add python (>= 2.7) to the depends of piuparts-master and piuparts-slave
    as dh-python has been changed to only add python depends if it finds
    python code in PATH. Thanks lintian.
  * Replace httpredir.debian.org with deb.debian.org everywhere: with deb.d.o
    apt will use SRV records to go directly to the mirror, with httpredir.d.o
    there will be http redirects for every file.
  * slave_run: Fix bug which prevented a different number of slaves to be
    started than defined in the configuration. Also add a check to ensure that
    this optional argument is an integer and within the defined maximum number
    of slaves.
  * slave_stop: New script to stop all piuparts-slaves on a host.
  * slave_stop.8: Add new manpage for this new script, also update slave_run.8
    to mention slave_stop.8.
  * Update README_pejacevic.txt and README_server.txt.
  * Drop instances/piuparts.conf.lamarr and …/piuparts.conf.goldwasser.
  * htdocs/index.tpl:
    - Announce 2nd piuparts-slave, explain this is a three host setup now,
      mention that pejacevic is a four core system and other news.
    - Make "contribute" a link.
  * archive_old_logs: use xargs -P $NUM_CPU and -n 1 to compress old logs in
    parallel.
  * update-piuparts-(master|slave)-setup: touch $PIUPARTS_TMPDIR/.nobackup to
    exclude it from backups made by DSA.
  * conf/crontab-master.in: run piuparts-report twice a day instead of trying
    four times a day, which hasn't worked out for a long time.
  * generate_daily_report.in: measure runtime of this script and the scripts
    started by it.
  * detect_(network|piuparts|archive)_issues.in: measure runtimes too.
  * reschedule_oldest_logs.in: measure runtime.


