## piuparts 0.77

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 SCRIPTS_TEMPLATES	 = $(wildcard *.in master-bin/*.in slave-bin/*.in conf/*.in)
 SCRIPTS_PYTHON_BINARY	 = $(wildcard *.py master-bin/*.py slave-bin/*.py)
 SCRIPTS_GENERATED	 = $(SCRIPTS_TEMPLATES:.in=) $(SCRIPTS_PYTHON_BINARY:.py=)
-DOCS_GENERATED		 = piuparts.1 piuparts.1.html piuparts_slave_run.8 piuparts_slave_join.8 README.html README_server.html
+DOCS_GENERATED		 = piuparts.1 piuparts.1.html piuparts_slave_run.8 piuparts_slave_join.8 piuparts_slave_stop.8 README.html README_server.html
 
 define placeholder_substitution
 	sed -r \
@@ -49,6 +49,7 @@
 build: build-stamp
 
 build-stamp: $(SCRIPTS_GENERATED) $(DOCS_GENERATED) Makefile
+	$(MAKE) -C instances
 	$(MAKE) python-syntax-check
 	touch $@
 
@@ -69,6 +70,9 @@
 piuparts_slave_join.8: piuparts_slave_join.8.txt
 	a2x -f manpage piuparts_slave_join.8.txt
 
+piuparts_slave_stop.8: piuparts_slave_stop.8.txt
+	a2x -f manpage piuparts_slave_stop.8.txt
+
 piuparts.1.html: piuparts.1.txt
 	a2x --copy -f xhtml piuparts.1.txt
 
@@ -78,10 +82,11 @@
 	install -d $(DESTDIR)$(man1dir)
 	install -m 0644 piuparts.1 $(DESTDIR)$(man1dir)/
 	install -d $(DESTDIR)$(man8dir)
-	install -m 0644 piuparts_slave_run.8 piuparts_slave_join.8 $(DESTDIR)$(man8dir)/
+	install -m 0644 piuparts_slave_run.8 piuparts_slave_join.8 piuparts_slave_stop.8 $(DESTDIR)$(man8dir)/
 	gzip -9f $(DESTDIR)$(man1dir)/piuparts.1
 	gzip -9f $(DESTDIR)$(man8dir)/piuparts_slave_run.8
 	gzip -9f $(DESTDIR)$(man8dir)/piuparts_slave_join.8
+	gzip -9f $(DESTDIR)$(man8dir)/piuparts_slave_stop.8
 	install -m 0644 piuparts.1.html $(DESTDIR)$(docdir)/
 
 install-conf: build-stamp
@@ -154,6 +159,7 @@
 	rm -f piuparts.1.xml README.xml README_server.xml docbook-xsl.css piuparts.html
 	rm -f *.pyc piupartslib/*.pyc master-bin/*.pyc slave-bin/*.pyc tests/*.pyc
 	rm -f $(SCRIPTS_GENERATED)
+	$(MAKE) -C instances clean
 
 
 # for maintainer convenience only
